#
# spec file for package atomiks
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Mateusz Viste
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           atomiks
Version:        1.0.4.1
Release:        1.33
Summary:        A faithful remake of, and a tribute to, Atomix, a classic puzzle game
License:        GPL-3.0+
Group:          Amusements/Games/Logic
Url:            http://atomiks.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
%endif
BuildRequires:  dos2unix
BuildRequires:  libmikmod-devel
BuildRequires:  libpng-devel
BuildRequires:  upx
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(sdl2)

%description
Atomiks is a faithful remake of, and a tribute to, Atomix, a classic puzzle game
created by Softtouch & RoSt and published in 1990 by the Thalion Software company.
Atomiks is free software, and shares no code with the original Atomix game.

%prep
%setup -q

# SED-FIX-OPENSUSE -- add editor
sed -i -e 's|all: atomiks|all: atomiks editor|' Makefile

# Some docs have the DOS line ends
dos2unix *.txt

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
# install executable
install -Dm 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dm 0755 editor %{buildroot}%{_bindir}/%{name}-editor

# install icon
install -Dm 0644 %{name}.png %{buildroot}/%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

# install Desktop file
install -Dm 0644 %{S:1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%if 0%{?suse_version}
    %suse_update_desktop_file %{name}
    %fdupes -s %{buildroot}%{_prefix}
%endif

%files
%defattr(-,root,root,-)
%doc *.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-editor
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/

%changelog
* Thu Mar 12 2015 nemysis@gmx.ch
- Add description for sed
* Thu Mar 12 2015 nemysis@gmx.ch
- Update to 1.0.4.1, announce message:
  - Fixed the reaction to a 'close window' event during level
  selection so Atomiks quits properly,
  - Intro screens can be switched to fullscreen now without
  the screen becoming messy.
  - Changed internal methods for storing bitmaps: dependencies to
  SDL_Image, zlib and libpng have been dropped in favor of my own
  compression routines,
  - Added support for numeric keys to control the game,
  - Added home/end keys support for level selection,
  - Code cleanup and reorganizations to ease possible ports to
  non-SDL platforms,
  - Displaying the level's number in the level selection menu,
  - Moved away from SDL to SDL2
  (gained hardware acceleration in the process),
  - Redrawn all internal bitmaps to be fully 320x200 compatible,
  - Replaced configuration path routines by SDL2 native calls
  (hence the placement of the config file changed),
  - Implemented fullscreen switching under ALT+ENTER.
- Remove icon atomiks.png, use supplied
- Use SDL2_image, SDL2_mixer and sdl2 instead of SDL_image,
  SDL_mixer and sdl
- Add sed, fix editor installation
- Use *.txt instead of full names
* Tue Nov 18 2014 nemysis@gmx.ch
- Add BuildRequires for hicolor-icon-theme
* Mon Nov 17 2014 nemysis@gmx.ch
- Use CFLAGS="%%{optflags}" to fix
  'File is compiled without RPM_OPT_FLAGS'
- Install icon in %%{_datadir}/icons/hicolor/48x48/apps/
  instead of %%{_datadir}/pixmaps/
* Mon Oct 20 2014 nemysis@gmx.ch
- Change Source0 to use Web URL
- Change atomiks.png
- Add Desktop entry file
- Use check for openSUSE %%if 0%%{?suse_version}
- Add BuildRequires for fdupes, update-desktop-files and upx
- Use BuildRequire pkgconfig(SDL_image), pkgconfig(SDL_mixer) and
  pkgconfig(sdl) instead of SDL_image-devel, SDL_mixer-devel and
  SDL-devel
- Use default make %%{?_smp_mflags}
- Add atomiks-editor
* Fri Jun 27 2014 opensuse@dstoecker.de
- cleanup
* Sun May 12 2013 Mateusz Viste <mateusz@viste-family.net> 1.02
- Added sound (can be turned off with --nosound),
- Pausing the game when loosing focus,
- Added shadings to in-game fonts,
- Added scores & hiscores.
